
/* -------------------------- ALL -------------------------- */

main.single{
    padding-block: 40px 60px;
}

main.single .container{
    padding-inline: 150px;
}

@media (max-width: 1600px){
    main.single .container{
        padding-inline: 120px;
    }
}

@media (max-width: 1300px){
    main.single .container{
        padding-inline: 90px;
    }
}

@media (max-width: 992px){
    main.single .container{
        padding-inline: 0px;
    }
}

/* -------------------------- HEADER -------------------------- */

main.single .single__title{
    font-size: 52px;
    line-height: 60px;
    color: var(--primary);
    font-weight: bold;
    margin-bottom: 24px;
    text-transform: uppercase;
}

main.single .categories{
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 10px 20px;
}

main.single .categories .categorie{
    font-size: 14px;
    line-height: 16px;
    color: var(--primary);
    border-radius: 25px;
    border: solid 1px #B6BECB;
    padding: 8px 24px;
    text-align: center;
}

main.single .single__date{
    margin-block: 20px 16px;
    font-size: 17px;
    line-height: 21px;
    color: var(--primary);
}

main.single .single__extrait{
    margin-bottom: 40px;
}

@media (max-width: 1600px){
    main.single .single__title{
        font-size: 42px;
        line-height: 50px;
    }
}

@media (max-width: 700px){
    main.single .single__title{
        font-size: 30px;
        line-height: 35px;
    }
    main.single .single__extrait{
        margin-bottom: 20px;
    }
}

/* -------------------------- THUMBNAIL -------------------------- */

main.single .thumbnail{
    aspect-ratio: 16/9;
    width: 100%;
    border-radius: 24px;
    display: block;
}

@media (max-width: 992px){
    main.single .thumbnail{
        aspect-ratio: 16/6;
        width: 100vw;
        margin-left: -36px;
        max-width: none;
    }  
}

@media (max-width: 700px){
    main.single .thumbnail{
        aspect-ratio: 414/260;
        border-radius: 12px;
    }  
}

/* -------------------------- EXTRAIT -------------------------- */

main.single .extrait,
main.single .extrait div,
main.single .extrait p{
    font-size: 16px;
    line-height: 33px;
}

@media (max-width: 700px){
    main.single .extrait,
    main.single .extrait div,
    main.single .extrait p{
        line-height: 30px;
    }
}
